For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • POSTSend a transactional email
      • GETGet the list of transactional emails on the basis of allowed filters
      • GETGet the personalized content of a sent transactional email
      • DELDelete scheduled emails by batchId or messageId
      • GETFetch scheduled emails by batchId or messageId
      • POSTDelete hardbounces
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APITransactional email

Get the list of transactional emails on the basis of allowed filters

GET
https://api.brevo.com/v3/smtp/emails
GET
/v3/smtp/emails
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.getTransacEmailsList({});
8}
9main();
1{
2 "count": 120,
3 "transactionalEmails": [
4 {
5 "date": "2019-05-25T11:53:26Z",
6 "email": "abc@xyz.com",
7 "messageId": "<201798300811.5787683@relay.domain.com>",
8 "subject": "summer camp",
9 "uuid": "5a78c-209ok98262910-std2341",
10 "templateId": 15
11 },
12 {
13 "date": "2019-05-25T07:28:11Z",
14 "email": "test@test.com",
15 "messageId": "<201798300811.5700093@relay.domain.com>",
16 "subject": "details verification",
17 "uuid": "5a78c-209ok98262910-s99a341",
18 "templateId": 15
19 }
20 ]
21}
This endpoint will show the list of emails for past 30 days by default. To retrieve emails before that time, please pass startDate and endDate in query filters.
Was this page helpful?
Previous

Get the personalized content of a sent transactional email

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

emailstringOptional

Mandatory if templateId and messageId are not passed in query filters. Email address to which transactional email has been sent.

templateIdlongOptional

Mandatory if email and messageId are not passed in query filters. Id of the template that was used to compose transactional email.

messageIdstringOptional

Mandatory if templateId and email are not passed in query filters. Message ID of the transactional email sent.

startDatestringOptional

Mandatory if endDate is used. Starting date (YYYY-MM-DD) from which you want to fetch the list. Maximum time period that can be selected is one month.

endDatestringOptional

Mandatory if startDate is used. Ending date (YYYY-MM-DD) till which you want to fetch the list. Maximum time period that can be selected is one month.

sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:
limitlongOptional0-1000Defaults to 500
Number of documents returned per page
offsetlongOptionalDefaults to 0
Index of the first document in the page

Response

List of transactional emails
countlong
Total number of transactional emails available on your account according to the passed filter
transactionalEmailslist of objects

Errors

400
Bad Request Error